package com.izouma.awesomeadmin.service;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CommonQuery;

import java.util.List;
import java.util.Map;


/**
 * service接口类
 */
public interface CommonQueryService {


    List<Map> getTableListByPage(Page page, CommonQuery record);

    List<Map> getTableListAll(CommonQuery record);

    Map selectByPrimaryKey(CommonQuery record);

    boolean create(Map<String, Object> parameter);


    boolean update(Map<String, Object> parameter);

    boolean delete(CommonQuery record);
}

